Subject: Re: [PATCH iproute2 v2 2/2] arpd: fix parsing of unlikely long comments

From: Stephen Hemminger <[email-masked]>
Date: Sun, 3 Jan 2016 15:04:25 -0800

On Sun, 3 Jan 2016 19:44:29 +0100
Andreas Henriksson <[email-masked]> wrote:

> Hello Stephen Hemminger.
> 
> Please beware that this has been compile-tested only.
> Submitting it like this was what I was trying to avoid
> by just throwing in a FIXME comment in the initial submission.
> Sorry in advance if I managed to screw something up, but
> hopefully I didn't...
> 
> Regards,
> Andreas Henriksson
> 

All this seems like overkill. The file format for arpd is very simple:
ifindex, IPv4, MAC
and really should never be too long. If it is the input is garbage and the
whole input should just be rejected, logged, and arpd should exit.